import Vue from 'vue'
import App from './App.vue'
import config from './utils/config'
Vue.config.productionTip = false


Promise.resolve().then(()=>{
    let div=document.createElement('div')
    div.id='content-script'
    document.body.appendChild(div)

}).then(()=>{
    new Vue({
        router: config.router,
        store: config.store,
        i18n: config.i18n,
        render: h => h(App)
    }).$mount('#content-script')
})
