// import axios from 'axios'
// // import qs from 'qs'
// import Vue from 'vue'
import { resourceStructures } from '../resourceStructures'

const { resourceStructureAll, resourceInventory, resourceFeatureField, resourceStructureFinal } = resourceStructures()
const columnList = resourceFeatureField.api
const structures = resourceStructureAll.api
function handleStructures (structures, result) {
  if (['string', 'function'].includes(typeof structures)) return
  Object.values(structures).forEach(item => {
    const newColumnList = columnList.filter(key => key !== 'name') // 没有name的newColumnList
    const isItemHasName = Object.keys(item).includes('name') // item包含name
    const isItemHasNoOthers = !newColumnList.every(key => Object.keys(item).includes(key)) // item不包含newColumnList里的字段
    const isItemHasEveryKey = isItemHasName && isItemHasNoOthers
    if (isItemHasEveryKey) {
      resourceInventory.api.push(item.name)
      const api = {}
      Object.keys(item).forEach(i => {
        const isApi = columnList.every(key => Object.keys(item[i]).includes(key)) // item[i]是不是接口
        if (isApi) {
          api[i] = item[i]
        }
      })
      api.name = item.name
      result[item.name] = api

      handleStructures(item, result[item.name])
    } else {
      handleStructures(item, result)
    }
  })
}
handleStructures(structures, resourceStructureFinal.api)

// const request = axios.create({
//   baseURL: '',
//   headers: {},
//   timeout: 1000,
//   withCredentials: false,
//   auth: {
//     username: 'admin',
//     password: 'admin'
//   }
// })
// request.interceptors.request.use(config => {
//   return config
// }, error => {
//   return Promise.reject(error)
// })
// request.interceptors.request.use(config => {
//   return config
// }, error => {
//   return Promise.reject(error)
// })
// function http (config) {
//   return request(config).then(response => {
//     return Promise.resolve(response.data)
//   }).catch(error => {
//     return Promise.reject(error)
//   }).finally(info => console.log)
// }

// async function api (apiPath, data, params) {
//   const apiInfo = getApiInfoByPropertyPath(apiPath)

//   if (data) {
//     apiInfo.data = data
//   }
//   if (params) {
//     apiInfo.params = params
//   }
//   // apiInfo.data=qs.stringify(apiInfo.data)
//   // apiInfo.params=qs.stringify(apiInfo.params)
//   return await http(apiInfo)
// }
// Vue.prototype.$api = api
