// import axios from "axios";
// import store from "./store";
// import router from "./router";
// import JciApi from "./api/JciApi";
// import Cookies from 'js-cookie';
// import {
//   Notification
// } from 'element-ui';
// import i18n from "./lang";

// function getParameterByName(name) {
//   var match = RegExp("[?&]" + name + "=([^&^#]*)").exec(window.location.href);
//   return match && decodeURIComponent(match[1].replace(/\+/g, " "));
// }
// let ssoToken = getParameterByName("sso_token"); //从url中获得token
// if (ssoToken) {
//   var href = window.location.href;

//   sessionStorage.token = ssoToken;
//   history.replaceState(null, "", href.replace(/[&]?sso_token=[^&^#]*/g, ""));
// }
// //统一认证
// let authCode = getParameterByName("authCode"); //从url中获得token
// if (authCode) {
//   var href = window.location.href;

//   sessionStorage.authCode = authCode;
//   history.replaceState(null, "", href.replace(/[&]?authCode=[^&^#]*/g, ""));
// }

// // 添加一个请求拦截器
// axios.interceptors.request.use(
//   function (config) {
//     if (sessionStorage.jwtToken) {
//       config.headers['jwt-token'] = sessionStorage.jwtToken;
//     }
//     if (sessionStorage.token && (!sessionStorage.logined)) {
//       config.headers["X-SSO-Token"] = sessionStorage.token;
//     }
//     if (sessionStorage.authCode && (!sessionStorage.productLogined || !sessionStorage.codeLogined)) {
//       config.headers["X-SSO-Token"] = sessionStorage.authCode;
//     }
//     config.headers["X-Requested-With"] = "XMLHttpRequest";
//     config.headers["X-Requested-InPage"] = window.location.href;
//     return config;
//   },
//   function (error) {
//     return Promise.reject(error);
//   }
// );
// // 添加一个响应拦截器
// axios.interceptors.response.use(
//   function (response) {
//     let jwtToken = response.headers['jwt-token'];
//     if (jwtToken) {
//       sessionStorage.jwtToken = jwtToken;
//       Cookies.set("jwt-token", jwtToken);
//     }
//     return response;
//   },
//   function (error) {
//     if (error.response && error.response.status == 401) {
//       sessionStorage.removeItem("jwtToken");
//       Cookies.remove("jwt-token");
//       handleUnauthorized(error);
//     }
//     if (error.response && error.response.status == 403 && error.response.data && error.response.data.code == '399') {
//       Notification.warning(i18n.t('common.message.noAuth'));
//     }
//     return Promise.reject(error);
//   }
// );

// function handleUnauthorized(error) {
//   let headers = error.response ? error.response.headers : {};
//   let redirect = headers["X-SSO-Redirect"] || headers["x-sso-redirect"];
//   if (error.response && error.response.status == 401 && redirect) {

//     sessionStorage.removeItem('logined');
//     window.location = redirect;
//   }
// }

// let login = () => {
//   return JciApi.user
//     .login()
//     .then(user => {
//       store.commit("SET_USERINFO", user);
//       sessionStorage.logined = true;
//       sessionStorage.removeItem("token");
//       sessionStorage.removeItem("authCode");
//     });
// };

// let isEmpty = (obj) => {
//   return !obj || Object.keys(obj).length == 0;
// }

// router.beforeEach((to, from, next) => {
//   let goNext = () => {
//     store.commit("SET_LOGINED");

//     let requiredData = [];
//     if (isEmpty(store.getters.userInfo)) {
//       requiredData.push(login());
//     }
//     if (isEmpty(store.getters.config)) {
//       requiredData.push(store.dispatch("setConfig"));
//     }
//     if (isEmpty(store.getters.roles)) {
//       requiredData.push(store.dispatch("setRoles"));
//     }
//     Promise.all(requiredData).then(next)

//   }

//   if (!sessionStorage.logined) {
//     login().then(goNext);
//   } else if (!store.getters.logined) {
//     // sessionStorage中有登陆状态，store中没有登陆状态
//     login().then(goNext);
//   } else {
//     next();
//   }

// });
// router.onError((error) => {
//   const pattern = /Loading chunk (.*)+ failed/g;
//   const isChunkLoadFailed = error.message.match(pattern);
//   const targetPath = router.history.pending.fullPath;
//   if (isChunkLoadFailed) {
//    router.replace(targetPath);
//   }
//  });
