import Vue from 'vue'
import Router from 'vue-router'
import { resourceStructures } from '../resourceStructures'
const { resourceStructureAll, resourceInventory, resourceFeatureField, resourceStructureFinal } = resourceStructures()
const columnList = resourceFeatureField.route
const structures = resourceStructureAll.route
Vue.use(Router)
function handleStructures (structures, result) {
  if (['string', 'function'].includes(typeof structures)) return

  Object.values(structures).forEach(item => {
    const isItemHasEveryKey = columnList.every(key => Object.keys(item).includes(key))
    if (isItemHasEveryKey) {
      resourceInventory.route.push(item.name)
      const route = {}
      columnList.forEach(key => { route[key] = item[key] })
      result.push(route)
      handleStructures(item, route.children = [])
    } else {
      handleStructures(item, result)
    }
  })
}
handleStructures(structures, resourceStructureFinal.route)

resourceStructureFinal.route.push({ path: '*', redirect: '/page3' })
const router = new Router({
  // mode: 'history',
  scrollBehavior: () => ({ y: 0 }),
  routes: resourceStructureFinal.route
})
export default router
