import Vue from 'vue'
import { resourceStructures } from '../resourceStructures'

const { resourceStructureAll, resourceInventory, resourceFeatureField } = resourceStructures()
const columnList = resourceFeatureField.page
const structures = resourceStructureAll.page
function handleStructures (structures) {
  if (['string', 'function'].includes(typeof structures)) return

  Object.values(structures).forEach(item => {
    const isItemHasEveryKey = columnList.every(key => Object.keys(item).includes(key))
    if (isItemHasEveryKey) {
      resourceInventory.page.push(item.name)
      Vue.component(item.name, item)
      handleStructures(item)
    } else {
      handleStructures(item)
    }
  })
}
handleStructures(structures)
